3DS recommendation enrollment
POST
https://api.forter-secure.com/merchants/{id}/3ds-recommendation
idstring
acceptstringGenerated from available response content types
api-versionstringSpecify the version of the API to target.
x-forter-siteidstring<p>Forter-assigned ID for your account. Note that your Site ID for your test site is different from your production site.</p>
bodyobjectEnroll a merchant in Forter's 3DS recommendation services on their future orders.
The response will include a request ID that can be used to check on the status.
200Example threeDsRecommendationOnboardingRequestAccepted
400<p>Bad Request (Often missing a required parameter)</p>
401<p>Unauthorized (No valid API key provided)</p>
404<p>Not Found (The requested item doesn't exist)</p>
500<p>Server Error (Something went wrong on Forter's end)</p>
curl --request POST \
--url https://api.forter-secure.com/merchants/{id}/3ds-recommendation \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'api-version: 10.3' \
--header 'x-forter-siteid: a1b2c3d4e5f6' \
--data '{
"offerings": {
"jp_regulation": {
"acquirer_settings": [
{
"acquirer": "Acquirer Name",
"scenario": "3DS_HIGH_RISK_S1"
}
],
"enabled": true
},
"policy_3ds": true,
"psd2": true,
"risk_3ds": true
}
}'